package server

import (
	"game/common/proto/pb"
	"github.com/fox/fox/processor"
)

const (
// timeout = time.Second * 30
)

func (s *MatchService) initProcessor() {
	s.Processor().RegisterMessages(processor.RegisterMetas{
		pb.MsgId_ReqMatchRoomId:   {pb.ReqMatchRoom{}, s.onMatchRoom},
		pb.MsgId_NtfUserOfflineId: {pb.NtfUserOffline{}, s.onUserOffline},
	})
}
